org.restlet.ext.simple.internal

## Class SimpleServer

- java.lang.Object
- - org.restlet.ext.simple.internal.SimpleServer

All Implemented Interfaces:
  org.simpleframework.transport.Server

    public class SimpleServer
    extends java.lang.Object
    implements org.simpleframework.transport.Server

A subclass of BufferedPipelineFactory that sets the connection socket on each pipeline for later retrieval.

Author:
  Jerome Louvel

### Field Summary

Fields
`static java.lang.String` `PROPERTY_ENGINE`
`static java.lang.String` `PROPERTY_SOCKET`

### Constructor Summary

Constructors
Constructor and Description
`SimpleServer(org.simpleframework.transport.Server server)` Constructor.

### Method Summary

Methods
`void` `process(org.simpleframework.transport.Socket socket)` Pass in the connection socket and add the engine to the pipeline attributes.
`void` `stop()` This is used to stop the internal server.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PROPERTY_SOCKET

    public static final java.lang.String PROPERTY_SOCKET

See Also:
  Constant Field Values

#### PROPERTY_ENGINE

    public static final java.lang.String PROPERTY_ENGINE

See Also:
  Constant Field Values

### Constructor Detail

#### SimpleServer

    public SimpleServer(org.simpleframework.transport.Server server)

Constructor.

### Method Detail

#### process

    public void process(org.simpleframework.transport.Socket socket)
                 throws java.io.IOException

Pass in the connection socket and add the engine to the pipeline attributes.

Specified by:
  `process` in interface `org.simpleframework.transport.Server`
Parameters:
  `socket` - the pipeline
Throws:
  `java.io.IOException`

#### stop

    public void stop()
              throws java.io.IOException

This is used to stop the internal server.

Specified by:
  `stop` in interface `org.simpleframework.transport.Server`
Throws:
  `java.io.IOException`